Skip to content
Start here

Create new URL submissions

brand_protection.submit(BrandProtectionSubmitParams**kwargs) -> BrandProtectionSubmitResponse
POST/accounts/{account_id}/brand-protection/submit

Return new URL submissions

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
account_id: str
minLength1
ReturnsExpand Collapse
class BrandProtectionSubmitResponse:
skipped_urls: Optional[List[Dict[str, object]]]
submitted_urls: Optional[List[Dict[str, object]]]

Create new URL submissions

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.brand_protection.submit(
    account_id="x",
)
print(response.skipped_urls)
{
  "skipped_urls": [
    {
      "foo": "bar"
    }
  ],
  "submitted_urls": [
    {
      "foo": "bar"
    }
  ]
}
Returns Examples
{
  "skipped_urls": [
    {
      "foo": "bar"
    }
  ],
  "submitted_urls": [
    {
      "foo": "bar"
    }
  ]
}